> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Plan Order (SIGNED)

`Applicable for placing contract plan orders`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/submit-plan-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "side":4,
  "mode":1,
  "type":"limit",
  "leverage":"1",
  "open_type":"isolated",
  "size":10,
  "trigger_price":"2000",
  "executive_price":"1450",
  "price_type":1,
  "price_way":1
}'
https://cloud-api.wooxpro.com/contract/private/submit-plan-order
```

| Field                             | Type   | Required? | Description                                                                              |
| :-------------------------------- | :----- | :-------- | :--------------------------------------------------------------------------------------- |
| symbol                            | String | Yes       | Symbol of the contract(like BTCUSDT)                                                     |
| type                              | String | No        | Order type<br />-`limit`(default)<br />-`market` <br />-`take_profit` <br />-`stop_loss` |
| side                              | Int    | Yes       | Order side                                                                               |
| leverage                          | String | Yes       | Order leverage                                                                           |
| open\_type                        | String | Yes       | Open type, required at close position <br />-`cross` <br />-`isolated`                   |
| mode                              | Int    | No        | Order mode<br />-`1`=GTC(default)<br />-`2`=FOK<br />-`3`=IOC<br />-`4`=Maker Only       |
| size                              | Int    | Yes       | Order size (Number of contracts)                                                         |
| trigger\_price                    | String | Yes       | Trigger price                                                                            |
| executive\_price                  | String | No        | Execution price for plan order, mandatory when type = limit                              |
| price\_way                        | Int    | Yes       | Price way<br />-`1`=price\_way\_long<br />-`2`=price\_way\_short                         |
| price\_type                       | Int    | Yes       | Trigger price type<br />-`1`=last\_price<br />-`2`=fair\_price                           |
| plan\_category                    | Int    | No        | TP/SL type<br />-`1`=TP/SL<br />-`2`=Position TP/SL                                      |
| preset\_take\_profit\_price\_type | Int    | No        | Pre-set TP price type<br />-`1`=last\_price(default)<br />-`2`=fair\_price               |
| preset\_stop\_loss\_price\_type   | Int    | No        | Pre-set SL price type<br />-`1`=last\_price(default)<br />-`2`=fair\_price               |
| preset\_take\_profit\_price       | String | No        | Pre-set TP price                                                                         |
| preset\_stop\_loss\_price         | String | No        | Pre-set SL price                                                                         |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field     | Type | Description |
| :-------- | :--- | :---------- |
| order\_id | Int  | Order ID    |
